/*--------------------------------------------------------------------------+
|                                                                          |
| Copyright 2022 fortiss GmbH                 						       |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.variability.ui.util;

import org.eclipse.core.databinding.conversion.Converter;
import org.fortiss.variability.model.presence.PresenceCondition;

/**
 * Converter from {@link PresenceCondition} to {@link String}.
 * 
 * @author bayha
 */
public class PresenceConditionToStringConverter extends Converter<PresenceCondition, String> {

	/** Constructor. */
	public PresenceConditionToStringConverter() {
		super(PresenceCondition.class, String.class);
	}

	/** {@inheritDoc} */
	@Override
	public String convert(PresenceCondition presenceCondition) {
		if(presenceCondition == null) {
			return "";
		}
		return presenceCondition.getStringRepresentation();
	}
}
