/*-------------------------------------------------------------------------+
| Copyright 2021 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/

package org.fortiss.variability.util;

/**
 * Implementation of a generic pair datatype.
 * 
 * @author bayha
 *
 * @param <T> Type of the first element of the pair.
 * @param <S> Type of the second element of the pair.
 */
public class Pair<T, S> {

	/** The first element of the pair. */
	public T first;

	/** The second element of the pair. */
	public S second;

	/** Constructor. */
	public Pair(T first, S second) {
		this.first = first;
		this.second = second;
	}
}
